%define modulename  Umod
%define modulever   0.50

%define umrver 0.3

%define name umodpack
%define ver 0.5
%define beta b16
%define rel  4

Name: %name
Version: %ver
Release: alt%rel.%beta

Summary: Unreal mod tools
License: Artistic
Group: Development/Perl

Packager: Sir Raorn <raorn@altlinux.ru>

Source: %name-%version%beta-allinone.tar.gz
Patch: %name-Config::Ini.patch
Patch1: %name-umr.patch

AutoReqProv: perl, yes

BuildPreReq: perl-Archive-Zip >= 0.07
BuildPreReq: perl-Tie-IxHash
BuildPreReq: perl-Tk >= 800.020
BuildPreReq: perl-Win32-Registry-File >= 1.09

# Automatically added by buildreq on Mon Oct 21 2002
BuildRequires: XFree86-libs perl-Archive-Zip perl-Compress-Zlib perl-Tie-IxHash perl-Tk perl-Win32-Registry-File perl-devel

%description
UmodPack is a crossplatform suite of all-purpose umod tool.  You can
use it to install a umod, or decompile it by extracting individual files
inside and showing the .ini file changes the umod will instate.
Additionally, it provides facilities for listing installed umods and
checking the integrity of your umod installation.

umod files are packages containing files with setup instructions for an
Unreal mod (modification). For more information on Unreal mods in
general see Mod Central Unreal:
http://www.planetunreal.com/modcentral/

%package -n perl-%modulename
Version: %modulever
Summary: perl-%modulename - module for Unreal mod file manipulation
License: Artistic
Group: Development/Perl

%description -n perl-%modulename
The package is an abstraction of an Unreal mod file.

%package -n umod
Summary: Command-line utility for managing Unreal mod files
License: Artistic
Group: File tools
Requires: perl-%modulename = %modulever-%release

%description -n umod
UmodPack is a crossplatform suite of all-purpose umod tool.  You can
use it to install a umod, or decompile it by extracting individual files
inside and showing the .ini file changes the umod will instate.
Additionally, it provides facilities for listing installed umods and
checking the integrity of your umod installation.

This package contains command-line utility umod.

umod files are packages containing files with setup instructions for an
Unreal mod (modification). For more information on Unreal mods in
general see Mod Central Unreal:
http://www.planetunreal.com/modcentral/

%package -n xumod
Summary: GUI utility for managing Unreal mod files
License: Artistic
Group: File tools
Requires: perl-%modulename = %modulever-%release

%description -n xumod
UmodPack is a crossplatform suite of all-purpose umod tool.  You can
use it to install a umod, or decompile it by extracting individual files
inside and showing the .ini file changes the umod will instate.
Additionally, it provides facilities for listing installed umods and
checking the integrity of your umod installation.

This package contains GUI utility xumod with perl/Tk interface.

umod files are packages containing files with setup instructions for an
Unreal mod (modification). For more information on Unreal mods in
general see Mod Central Unreal:
http://www.planetunreal.com/modcentral/

%package -n umr
Version: %umrver
Summary: Unreal Media Ripper
License: Artistic
Group: File tools

%description -n umr
This utility rips Music and Sound class objects from .umx and .uax files in
Unreal or Unreal Tournament.  It rips all the exports in the file that it
understands (currently 'xm', 'it', 's3m', and 'WAV').

%prep
%setup -q -n %name-%ver%beta
%patch -p1
%patch1 -p1
%__rm -rf Archive-Zip-* Compress-Zlib-* Config-Ini-* Tie-IxHash-* Tk*

%build
%perl_vendor_build

pushd umr-%umrver
CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS
%make_build
popd

%install
%perl_vendor_install

%__mkdir -p %buildroot%_menudir
cat <<EOF > %buildroot%_menudir/xumod
?package(xumod): needs=X11 \
	command="xumod" \
	section="Applications/File tools" \
	title="Unreal mod manager"
EOF

pushd umr-%umrver
%__install -p -m755 umr %buildroot%_bindir/umr
popd

%post -n xumod
%update_menus

%postun -n xumod
%clean_menus

%files -n perl-%modulename
%doc Artistic Changes MANIFEST
%perl_vendor_privlib/%{modulename}*
%perl_vendor_man3dir/*

%files -n umod
%doc Artistic README INSTALL
%_bindir/umod
%_mandir/man1/umod.1*

%files -n xumod
%doc Artistic README INSTALL
%_bindir/xumod
%_menudir/xumod

%files -n umr
%doc umr-%umrver/{README,TODO}
%_bindir/umr

%changelog
* Wed Nov 06 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5-alt4.b16
- rebuild with new perl

* Mon Oct 21 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5-alt3.b16
- rebuild with gcc3
- added packager tag

* Mon Jun 17 2002 Sir Raorn <raorn@altlinux.ru> 0.5-alt2.b16
- Fixed CFLAGS for umr

* Thu Jun 13 2002 Sir Raorn <raorn@altlinux.ru> 0.5-alt1.b16
- Built for Sisyphus

